aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/internal_ci/linux/grpc_master.sh
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@google.com>2016-12-05 12:58:14 +0100
committerGravatar Jan Tattermusch <jtattermusch@google.com>2016-12-05 12:58:14 +0100
commit2c1801ff94eae33999f78c29c77c704acb252bc8 (patch)
treeec6481f00a517b8c29199ff0f80907b70c36f649 /tools/internal_ci/linux/grpc_master.sh
parenta8ac4a21a0424bb57b78cd046c1b6e72466877fd (diff)
dont just build C core
Diffstat (limited to 'tools/internal_ci/linux/grpc_master.sh')
-rwxr-xr-xtools/internal_ci/linux/grpc_master.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/tools/internal_ci/linux/grpc_master.sh b/tools/internal_ci/linux/grpc_master.sh
index be477c1271..c706b1c746 100755
--- a/tools/internal_ci/linux/grpc_master.sh
+++ b/tools/internal_ci/linux/grpc_master.sh
@@ -42,4 +42,12 @@ docker --version || true
git submodule update --init
-tools/run_tests/run_tests.py -l c --build_only
+tools/run_tests/run_tests.py -l c || FAILED="true"
+
+# kill port_server.py to prevent the build from hanging
+ps aux | grep port_server\\.py | awk '{print $2}' | xargs kill -9
+
+if [ "$FAILED" != "" ]
+then
+ exit 1
+fi \ No newline at end of file